Resolve the dependency tree for a set of manifests
curl --request POST \
--url https://{controlPlaneURL}/api/svc/v1/dependency-tree \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"manifests": [
{
"type": "ml-repo",
"name": "<string>",
"storage_integration_fqn": "<string>",
"collaborators": [
{
"subject": "<string>",
"role_id": "<string>"
}
],
"description": "<string>"
}
]
}
'import requests
url = "https://{controlPlaneURL}/api/svc/v1/dependency-tree"
payload = { "manifests": [
{
"type": "ml-repo",
"name": "<string>",
"storage_integration_fqn": "<string>",
"collaborators": [
{
"subject": "<string>",
"role_id": "<string>"
}
],
"description": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
manifests: [
{
type: 'ml-repo',
name: '<string>',
storage_integration_fqn: '<string>',
collaborators: [{subject: '<string>', role_id: '<string>'}],
description: '<string>'
}
]
})
};
fetch('https://{controlPlaneURL}/api/svc/v1/dependency-tree', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"resourceType": "service",
"resourceName": "<string>",
"dependencies": [
{
"resourceType": "workspace",
"resourceName": "<string>"
}
]
}
]
}Apply
Resolve the dependency tree for a set of manifests
Resolve the dependency tree for the given manifests.
POST
/
api
/
svc
/
v1
/
dependency-tree
Resolve the dependency tree for a set of manifests
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
manifests
(MLRepoManifest · object | ArtifactManifest · object | ModelManifest · object | ChatPromptManifest · object | DataDirectoryManifest · object | Service · object | ApplicationSet · object | AwsProviderAccount · object | AzureProviderAccount · object | GcpProviderAccount · object | DockerhubProviderAccount · object | BitbucketProviderAccount · object | CustomProviderAccount · object | GithubProviderAccount · object | GitlabProviderAccount · object | JfrogProviderAccount · object | TTLProviderAccount · object | TrueFoundryProviderAccount · object | QuayProviderAccount · object | SlackProviderAccount · object | WebhookProviderAccount · object | PagerDutyProviderAccount · object | MSTeamsProviderAccount · object | HashicorpProviderAccount · object | AwsBedrockProviderAccount · object | GoogleVertexProviderAccount · object | GoogleGeminiProviderAccount · object | AzureOpenAIProviderAccount · object | AzureFoundryProviderAccount · object | CohereProviderAccount · object | AI21ProviderAccount · object | AnthropicProviderAccount · object | DeepinfraProviderAccount · object | GroqProviderAccount · object | MistralAIProviderAccount · object | PerplexityAIProviderAccount · object | TogetherAIProviderAccount · object | NomicProviderAccount · object | PalmProviderAccount · object | OllamaProviderAccount · object | OpenaiProviderAccount · object | DatabricksProviderAccount · object | ClouderaProviderAccount · object | SelfHostedModelProviderAccount · object | OpenRouterProviderAccount · object | SambaNovaProviderAccount · object | XAIProviderAccount · object | BasetenProviderAccount · object | AwsSagemakerProviderAccount · object | CerebrasProviderAccount · object | WaferProviderAccount · object | SnowflakeCortexProviderAccount · object | ElevenLabsProviderAccount · object | DeepgramProviderAccount · object | CartesiaProviderAccount · object | SmallestAiProviderAccount · object | AWSClaudePlatformProviderAccount · object | AwsBedrockMantleProviderAccount · object | VirtualModelProviderAccount · object | CustomEndpointProviderAccount · object | MCPServerProviderAccount · object | GuardrailConfigGroup · object | ClusterManifest · object | WorkspaceManifest · object | Job · object | Helm · object | Volume · object | Notebook · object | RStudio · object | Workflow · object | AsyncService · object | SSHServer · object | SparkJob · object | RateLimitConfig · object | LoadBalancingConfig · object | GuardrailsConfig · object | BudgetConfig · object | TenantBudgetConfig · object | TeamBudgetConfig · object | GatewayOTELConfig · object | GatewayMetadataConfig · object | GlobalSettings · object | GatewayDataAccessConfig · object | GatewayDataRoutingConfig · object | GatewayLoggingConfig · object | TeamManifest · object | PolicyManifest · object | RoleManifest · object | AlertConfig · object | VirtualAccountManifest · object | CommonToolsSettings · object | AIFeaturesSettings · object | SecretGroupManifest · object | TrueFoundryAgentManifest · object | RemoteAgent · object | LegacyAgentManifest · object | EnvironmentManifest · object | TracingProjectManifest · object | RemoteMCPServerManifest · object | VirtualMCPServerManifest · object | OpenAPIMCPServerManifest · object | StdioMCPServerManifest · object | TfyManagedMCPServerManifest · object | RoleBindingManifest · object | AgentIdentityManifest · object | AgentChannelManifest · object)[]
required
Array of manifests whose dependency tree should be resolved.
MLRepo is a repository ML training runs that log params, metrics, plots, images and versioned entities like artifacts, models, prompts, tools, agents
- MLRepoManifest
- ArtifactManifest
- ModelManifest
- ChatPromptManifest
- DataDirectoryManifest
- Service
- ApplicationSet
- AwsProviderAccount
- AzureProviderAccount
- GcpProviderAccount
- DockerhubProviderAccount
- BitbucketProviderAccount
- CustomProviderAccount
- GithubProviderAccount
- GitlabProviderAccount
- JfrogProviderAccount
- TTLProviderAccount
- TrueFoundryProviderAccount
- QuayProviderAccount
- SlackProviderAccount
- WebhookProviderAccount
- PagerDutyProviderAccount
- MSTeamsProviderAccount
- HashicorpProviderAccount
- AwsBedrockProviderAccount
- GoogleVertexProviderAccount
- GoogleGeminiProviderAccount
- AzureOpenAIProviderAccount
- AzureFoundryProviderAccount
- CohereProviderAccount
- AI21ProviderAccount
- AnthropicProviderAccount
- DeepinfraProviderAccount
- GroqProviderAccount
- MistralAIProviderAccount
- PerplexityAIProviderAccount
- TogetherAIProviderAccount
- NomicProviderAccount
- PalmProviderAccount
- OllamaProviderAccount
- OpenaiProviderAccount
- DatabricksProviderAccount
- ClouderaProviderAccount
- SelfHostedModelProviderAccount
- OpenRouterProviderAccount
- SambaNovaProviderAccount
- XAIProviderAccount
- BasetenProviderAccount
- AwsSagemakerProviderAccount
- CerebrasProviderAccount
- WaferProviderAccount
- SnowflakeCortexProviderAccount
- ElevenLabsProviderAccount
- DeepgramProviderAccount
- CartesiaProviderAccount
- SmallestAiProviderAccount
- AWSClaudePlatformProviderAccount
- AwsBedrockMantleProviderAccount
- VirtualModelProviderAccount
- CustomEndpointProviderAccount
- MCPServerProviderAccount
- GuardrailConfigGroup
- ClusterManifest
- WorkspaceManifest
- Job
- Helm
- Volume
- Notebook
- RStudio
- Workflow
- AsyncService
- SSHServer
- SparkJob
- RateLimitConfig
- LoadBalancingConfig
- GuardrailsConfig
- BudgetConfig
- TenantBudgetConfig
- TeamBudgetConfig
- GatewayOTELConfig
- GatewayMetadataConfig
- GlobalSettings
- GatewayDataAccessConfig
- GatewayDataRoutingConfig
- GatewayLoggingConfig
- TeamManifest
- PolicyManifest
- RoleManifest
- AlertConfig
- VirtualAccountManifest
- CommonToolsSettings
- AIFeaturesSettings
- SecretGroupManifest
- TrueFoundryAgentManifest
- RemoteAgent
- LegacyAgentManifest
- EnvironmentManifest
- TracingProjectManifest
- RemoteMCPServerManifest
- VirtualMCPServerManifest
- OpenAPIMCPServerManifest
- StdioMCPServerManifest
- TfyManagedMCPServerManifest
- RoleBindingManifest
- AgentIdentityManifest
- AgentChannelManifest
Show child attributes
Show child attributes
Response
200 - application/json
Resources with their declared dependencies. Apply each resource only after its dependencies have been applied to satisfy the tree.
List of resources with their dependencies
Show child attributes
Show child attributes
Was this page helpful?